<?php
namespace Bushelpowered\Api\Finops\V1\Projections;
        
class DealerDetails 
{
    /** @var \Bushelpowered\Api\Finops\V1\Projections\LenderSpecificDealerInfo $lenderSpecificInfo */
    public \Bushelpowered\Api\Finops\V1\Projections\LenderSpecificDealerInfo $lenderSpecificInfo;
    /** @var bool $enabled */
    public bool $enabled;
    /** @var bool $showInProviderList */
    public bool $showInProviderList;
    /** @var string $name */
    public string $name;
    /** @var string $link */
    public string $link;
    /** @var string $phone */
    public string $phone;
    /** @var string $email */
    public string $email;
    /** @var string $icon */
    public string $icon;
    /** @var string $banner */
    public string $banner;
    /** @var string[] $allowlistedWalletIds */
    public array $allowlistedWalletIds;

    /**
     * @param  \Bushelpowered\Api\Finops\V1\Projections\LenderSpecificDealerInfo  $lenderSpecificInfo 
     * @param  bool  $enabled 
     * @param  bool  $showInProviderList 
     * @param  string  $name 
     * @param  string  $link 
     * @param  string  $phone 
     * @param  string  $email 
     * @param  string  $icon 
     * @param  string  $banner 
     * @param  string[]  $allowlistedWalletIds 
     */
    public function __construct(\Bushelpowered\Api\Finops\V1\Projections\LenderSpecificDealerInfo $lenderSpecificInfo, bool $enabled, bool $showInProviderList, string $name, string $link, string $phone, string $email, string $icon, string $banner, array $allowlistedWalletIds)
    {
        $this->lenderSpecificInfo = $lenderSpecificInfo;
        $this->enabled = $enabled;
        $this->showInProviderList = $showInProviderList;
        $this->name = $name;
        $this->link = $link;
        $this->phone = $phone;
        $this->email = $email;
        $this->icon = $icon;
        $this->banner = $banner;
        $this->allowlistedWalletIds = $allowlistedWalletIds;
    }
    

}